## Split the Strings in a Vector

## Usage

    strsplit(x,split)

## Arguments

`x` | character vector, to be split.
`split` | character string, to use as "split". If `split` has length 0, `x` is split into single characters. If `split` is a vector, it is re-cycled along `x`.

## Description

Split the Strings in `x` into substrings according to the presence of substring `split` within them.

## Value

A list of length `length(x)` the `i`-th element of which contains the vector of splits of `x[i]`.

## See Also

`paste` for the reverse, `grep` and `sub` for string search and manipulation; further `nchar`, `substr`.

## Examples

    noquote(strsplit("A text I want to display with spaces", NULL)[[1]])

    x <- c("asfef","qwerty","yuiop[","b","stuff.blah.yech")
    # split x on the letter e
    strsplit(x,"e")

[Package Contents]